# Don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

# Fix Copr builds
%{!?_real_vendor:%global _real_vendor mageia}

%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api	2.0
%define major	4
%define libname	%mklibname xfce4panel %{api} %{major}
%define devname	%mklibname xfce4panel %{api} -d

%define gmajor	2.0
%define girname	%mklibname xfce4panel-gir %{gmajor}

Summary:	A Xfce panel
Name:		xfce4-panel
Version:	4.16.1
%define subrel	1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfce4-panel/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches

# Mga patches

BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(cairo)
# Only optional
#BuildRequires:	pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(garcon-gtk3-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.15.7
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.15.6
BuildRequires:	pkgconfig(libxfconf-0) >=  4.13.3
Requires:	desktop-common-data
Requires:	%{_real_vendor}-xfce-config

# dead upstream and provides gtk2 plugin
Obsoletes:	orage < 4.12.1-6
# old gtk2 plugins
Obsoletes:	xfce4-embed-plugin < 1.6.0-5
Obsoletes:	xfce4-equake-plugin < 1.3.8.1-4
Obsoletes:	xfce4-hamster-plugin < 1.7-3
Obsoletes:	xfce4-hotcorner-plugin < 0.0.2-3
Obsoletes:	xfce4-linelight-plugin < 0.1.7-12
Obsoletes:	xfce4-mailwatch-plugin < 1.2.0-10
Obsoletes:	xfce4-quicklauncher-plugin < 1.9.4-13.git20120718.11
# merged in 4.15.4
Obsoletes:	xfce4-statusnotifier-plugin < 0.2.2-2

%description
The Xfce 4 Panel supports multiple panels, with many options
for their position, appearance, transparency and behavior.
There are many items available by default to full fit a panel,
like application launchers with detachable menus, a graphical pager,
a tasklist, a clock, a system tray, a show/hide desktop switcher,
and even more. It offers an easy way to add items using a dialog,
and to move items accross different panels.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{libname}
Summary:        Panel library for the Xfce desktop environment
Group:          Graphical desktop/Xfce

%description -n %{libname}
Panel library for the Xfce desktop environment.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Obsoletes:      %{_lib}xfce4panel1.0-devel < 4.15.0

%description -n %{devname}
Development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-static
%make_build

%install
%make_install

# (tpg) this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/panel/*

%find_lang %{name}

# don't ship .la
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog README*
%dir %{_sysconfdir}/xdg/xfce4/panel
%dir %{_libdir}/xfce4/panel
%dir %{_libdir}/xfce4/panel/plugins
%dir %{_datadir}/xfce4/panel
%dir %{_datadir}/xfce4/panel/plugins
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/libactions.so
%{_libdir}/xfce4/panel/plugins/libapplicationsmenu.so
%{_libdir}/xfce4/panel/plugins/libclock.so
%{_libdir}/xfce4/panel/plugins/libdirectorymenu.so
%{_libdir}/xfce4/panel/plugins/liblauncher.so
%{_libdir}/xfce4/panel/plugins/libpager.so
%{_libdir}/xfce4/panel/plugins/libseparator.so
%{_libdir}/xfce4/panel/plugins/libshowdesktop.so
%{_libdir}/xfce4/panel/plugins/libsystray.so
%{_libdir}/xfce4/panel/plugins/libtasklist.so
%{_libdir}/xfce4/panel/plugins/libwindowmenu.so
%{_datadir}/xfce4/panel/plugins/actions.desktop
%{_datadir}/xfce4/panel/plugins/applicationsmenu.desktop
%{_datadir}/xfce4/panel/plugins/clock.desktop
%{_datadir}/xfce4/panel/plugins/directorymenu.desktop
%{_datadir}/xfce4/panel/plugins/launcher.desktop
%{_datadir}/xfce4/panel/plugins/pager.desktop
%{_datadir}/xfce4/panel/plugins/separator.desktop
%{_datadir}/xfce4/panel/plugins/showdesktop.desktop
%{_datadir}/xfce4/panel/plugins/systray.desktop
%{_datadir}/xfce4/panel/plugins/tasklist.desktop
%{_datadir}/xfce4/panel/plugins/windowmenu.desktop
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.panel.{*.,}{png,svg}
%{_libdir}/xfce4/panel/migrate
%{_libdir}/xfce4/panel/wrapper-*

%files -n %{girname}
%{_libdir}/girepository-1.0/Libxfce4panel-%{gmajor}.typelib

%files -n %{libname}
%{_libdir}/libxfce4panel-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/libxfce4panel-%{api}/
%{_libdir}/libxfce4panel-%{api}.so
%{_libdir}/pkgconfig/libxfce4panel-%{api}.pc
%{_includedir}/xfce4/libxfce4panel-%{api}/
%{_datadir}/gir-1.0/Libxfce4panel-%{gmajor}.gir
%{_datadir}/vala/vapi/libxfce4panel-%{api}.{deps,vapi}


%changelog
* Fri Mar 12 2021 wally <wally> 4.16.1-1.1.mga8
+ Revision: 1701799
- remove xfce4-kbdleds-plugin obsoletes (mga#28578)

* Wed Jan 27 2021 wally <wally> 4.16.1-1.mga8
+ Revision: 1673680
- new version 4.16.1

* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663185
- new version 4.16.0

* Mon Dec 14 2020 wally <wally> 4.15.6-1.mga8
+ Revision: 1657366
- new version 4.15.6
- disable optional StatusNotifier integration

* Wed Nov 04 2020 wally <wally> 4.15.5-1.mga8
+ Revision: 1642620
- new version 4.15.5

* Wed Aug 26 2020 wally <wally> 4.15.4-1.mga8
+ Revision: 1619153
- new version 4.15.4
- obsolete merged xfce4-statusnotifier-plugin

* Wed Jun 24 2020 wally <wally> 4.15.3-2.mga8
+ Revision: 1599138
- build with vala support

* Wed Jun 24 2020 wally <wally> 4.15.3-1.mga8
+ Revision: 1599133
- new version 4.15.3

* Sat Jun 20 2020 wally <wally> 4.15.2-3.mga8
+ Revision: 1598128
- remove xfce4-notes-plugin obsoletes as it's ported to gtk3

* Sat Jun 20 2020 wally <wally> 4.15.2-2.mga8
+ Revision: 1597472
- fix gtk2 plugin obsoletes

* Fri Jun 19 2020 wally <wally> 4.15.2-1.mga8
+ Revision: 1597374
- new version 4.15.2
- drop gtk2 support
- obsolete gtk2 only panel plugins

* Tue Apr 28 2020 wally <wally> 4.14.4-1.mga8
+ Revision: 1572900
- new version 4.14.4

* Wed Feb 19 2020 umeabot <umeabot> 4.14.3-2.mga8
+ Revision: 1543066
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 13 2020 wally <wally> 4.14.3-1.mga8
+ Revision: 1477813
- new version 4.14.3

* Sat Jan 11 2020 wally <wally> 4.14.2-1.mga8
+ Revision: 1477570
- new version 4.14.2

* Thu Sep 26 2019 wally <wally> 4.14.1-1.mga8
+ Revision: 1446612
- new version 4.14.1

* Mon Aug 12 2019 wally <wally> 4.14.0-1.mga8
+ Revision: 1428937
- new version 4.14.0

* Sun Jul 28 2019 wally <wally> 4.13.7-1.mga8
+ Revision: 1424747
- new version 4.13.7

* Mon Jul 01 2019 wally <wally> 4.13.6-1.mga8
+ Revision: 1417257
- new version 4.13.6

* Sun May 19 2019 wally <wally> 4.13.5-2.mga7
+ Revision: 1398483
- add patch to add fallback icons for panel action buttons

* Sat May 18 2019 wally <wally> 4.13.5-1.mga7
+ Revision: 1398243
- new version 4.13.5
- drop patches from usptream

* Tue Apr 30 2019 wally <wally> 4.13.4-4.mga7
+ Revision: 1395940
- add upstream fixes
  - tasklist: activate parent windows (xfce#15307)
  - launcher: fix tooltip icon size (xfce#15319)

* Sat Apr 06 2019 wally <wally> 4.13.4-3.mga7
+ Revision: 1386376
- add patches from upstream

* Fri Jan 11 2019 wally <wally> 4.13.4-2.mga7
+ Revision: 1355016
- add upstream patch to revert 'Applications menu icon sizing fixes' (mga#23993, xfce#14976)

* Wed Jan 02 2019 wally <wally> 4.13.4-1.mga7
+ Revision: 1348716
- new version 4.13.4
- drop upstreamed patches

* Sun Sep 23 2018 umeabot <umeabot> 4.13.3-2.mga7
+ Revision: 1301873
- Mageia 7 Mass Rebuild

* Fri May 04 2018 wally <wally> 4.13.3-1.mga7
+ Revision: 1226207
- new version 4.13.3
- drop patches from upstream

* Tue Apr 17 2018 wally <wally> 4.13.2-4.mga7
+ Revision: 1219694
- add patch from upstream to avoid constant redraws (xfce#14307)

* Sat Mar 24 2018 wally <wally> 4.13.2-3.mga7
+ Revision: 1211928
- add gir typelib support

* Sat Feb 17 2018 wally <wally> 4.13.2-2.mga7
+ Revision: 1202062
- add patches to fix various bugs reported to upstream
  o fixes missing icons with adwaita icon theme (mga#22617)

* Thu Dec 14 2017 wally <wally> 4.13.2-1.mga7
+ Revision: 1182557
- new version 4.13.2
- use freedesktop.org compliant icon for clock plugin

* Thu Sep 28 2017 wally <wally> 4.13.1-1.mga7
+ Revision: 1161131
- new version 4.13.1

* Wed Oct 26 2016 wally <wally> 4.12.1-1.mga6
+ Revision: 1063672
- version 4.12.1

* Sun Dec 06 2015 wally <wally> 4.12.0-3.mga6
+ Revision: 908566
- add patch to fix $HOME/.xsession-errors flooding and high CPU usage after GTK+3.19 udate

* Sun Jun 21 2015 wally <wally> 4.12.0-2.mga6
+ Revision: 837654
- split out the gtk3 devel pkg
- remove old conflicts/obsoletes

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817394
- new version 4.12.0
- drop patches from upstream

* Tue Jan 27 2015 wally <wally> 4.11.1-6.mga5
+ Revision: 812454
- use xfce4-clock icon from cheser-icon-theme as clock applet icon

* Mon Jan 26 2015 wally <wally> 4.11.1-5.mga5
+ Revision: 812358
- fix separator icon in preferences etc.

* Thu Nov 27 2014 wally <wally> 4.11.1-4.mga5
+ Revision: 799536
- add patch from upstream git to fix session being always saved when using panel action logout button (xfce#7930)

* Wed Oct 15 2014 umeabot <umeabot> 4.11.1-3.mga5
+ Revision: 745649
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.11.1-2.mga5
+ Revision: 690623
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 wally <wally> 4.11.1-1.mga5
+ Revision: 638859
- new version 4.11.1

* Sun Feb 16 2014 wally <wally> 4.11.0-1.mga5
+ Revision: 592617
- new version 4.11.0
- enable GTK3 support
- exclude plugin .so from provides

* Tue Feb 04 2014 wally <wally> 4.10.1-3.mga5
+ Revision: 581665
- add patch to add dm-tool support to user switch panel action

* Sat Oct 19 2013 umeabot <umeabot> 4.10.1-2.mga4
+ Revision: 523551
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 4.10.1-1.mga4
+ Revision: 425069
- new version 4.10.1
- drop patches from upstream

* Fri Apr 05 2013 wally <wally> 4.10.0-5.mga3
+ Revision: 408353
- add patch from upstream git to fix icon/pixbuf resizing

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-4.mga3
+ Revision: 386859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 wally <wally> 4.10.0-3.mga3
+ Revision: 324116
- obsolete xfswitch-plugin which is integrated to xfce4-panel's action plugin

* Wed Jul 18 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 272335
- fix requires after mageia-xfce-config packaging change

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248461
- new version 4.10.0
- new major 4
- clean .spec

* Tue Jan 03 2012 wally <wally> 4.9.0-1.mga2
+ Revision: 190020
- new version 4.9.0
- clean BRs
- don't own system icon dirs
- don't regenerate gtk docs
- clean .spec a bit

* Sat Sep 24 2011 wally <wally> 4.8.6-1.mga2
+ Revision: 147298
- new version 4.8.6
- fix libification
- move some doc files to devel pkg
- clean .spec a bit

* Fri Jun 24 2011 ahmad <ahmad> 4.8.5-1.mga2
+ Revision: 113173
- Update to 4.8.5

* Tue Jun 21 2011 ahmad <ahmad> 4.8.4-1.mga2
+ Revision: 111166
- Update to 4.8.4

* Wed Apr 13 2011 ahmad <ahmad> 4.8.3-1.mga1
+ Revision: 84456
- update to 4.8.3
- bump some BR versions

* Sat Apr 02 2011 ahmad <ahmad> 4.8.2-1.mga1
+ Revision: 79737
- update to 4.8.2
- obsolete xfce4-volstatus-icon and xfce4-xfapplet-plugin, both are unmaintained
  upstream and hasn't been ported to XFCE 4.8 (confirmed by looking at upstream git
  logs and Fedora)

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-1.mga1
+ Revision: 53274
- update to 4.8.1

* Thu Jan 27 2011 ahmad <ahmad> 4.8.0-1.mga1
+ Revision: 41638
- change requires to mageia-xfce-config-common
- don't ship .a, .la
- imported package xfce4-panel

